# zot/defaults.py
#
#

""" default configurations. """

__copyright__ = "Copyright 2015, B.H.J Thate"

from zot.defines import homedir
from zot.object import Object
from zot.utils import j

import os
import os.path
import socket

## XMPP

cfg_xmpp = Object()
cfg_xmpp.server = "localhost"
cfg_xmpp.username = "zot"
cfg_xmpp.channel = "#zot"
cfg_xmpp.nick = "zot"
cfg_xmpp.cfg = "xmpp"
cfg_xmpp.user = "zot@localhost"

## IRC

cfg_irc = Object()
cfg_irc.server = "localhost"
cfg_irc.username = "zotbot"
cfg_irc.channel = "#zotbot"
cfg_irc.nick = "zotbot"
cfg_irc.cfg = "irc"

## KERNEL

cfg_kernel = Object()
cfg_kernel.debug = False
cfg_kernel.background = False
cfg_kernel.openfire = False
cfg_kernel.shell = False
cfg_kernel.init = ""
cfg_kernel.workdir = ""
cfg_kernel.loglevel = "error"
cfg_kernel.packages = ["zot.plugs", "zot.bots", "zot.services"]
cfg_kernel.cfg = "kernel"

# UDP

cfg_udp = Object()
cfg_udp.cfg = "udp"
cfg_udp.host = "localhost"
cfg_udp.port = 5500
cfg_udp.password = "boh"
cfg_udp.seed = "blablablablablaz" # needs to be 16 chars wide

## API

cfg_api = Object()
cfg_api.cfg = "api"
cfg_api.hostname = socket.getfqdn()
cfg_api.port = 10102
